<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>agContext
: <a class="el" href="class_g_e_grammar.html#a4b1bcd828a58754db1ce6f42fd07263f">GEGrammar</a>
</li>
<li>agDtree
: <a class="el" href="class_g_e_grammar.html#a72b97d5b8d879aee9f78870c8e96d940">GEGrammar</a>
</li>
<li>agLookUp
: <a class="el" href="class_g_e_grammar.html#a10ba4c1a8dcd16f319c23279d9bd4533">GEGrammar</a>
</li>
<li>aglookup
: <a class="el" href="class_production.html#a333b6a1f7e57e3b41bda334c4207e74f">Production</a>
</li>
<li>chrom
: <a class="el" href="structindividual.html#acbafb6eef9c3f48c14ef8193bcba3996">individual</a>
</li>
<li>derivationTree
: <a class="el" href="class_c_f_grammar.html#a886451252e96c45de45c39c224d60d96">CFGrammar</a>
</li>
<li>endIndex
: <a class="el" href="class_a_g_context.html#a6e8d750c8d0cf17992829a5b3bb8a813">AGContext</a>
</li>
<li>fitness
: <a class="el" href="structindividual.html#a67ebca10392d1cc436020c9a9a18ce36">individual</a>
</li>
<li>genotype
: <a class="el" href="class_mapper.html#a058104ce77afefce7ff10cf98baea52b">Mapper</a>
</li>
<li>inUse
: <a class="el" href="class_a_g_symbol.html#ae63a68fcd61358feeaa0895f72b80810">AGSymbol</a>
</li>
<li>lhs
: <a class="el" href="class_rule.html#a04cef931592a5b1c2d7ddade038f40ce">Rule</a>
</li>
<li>parent
: <a class="el" href="class_a_g_context.html#a884ed4f87e757bf4f46a74631e188935">AGContext</a>
, <a class="el" href="structindividual.html#af37f531eefacd97f1b673ed24dfdef86">individual</a>
</li>
<li>phenotype
: <a class="el" href="class_mapper.html#adc4c81ef77cc70cda9a1881637bf3bd1">Mapper</a>
</li>
<li>productions
: <a class="el" href="class_g_e_grammar.html#a99547280331bbeb58afe3acf01108c0a">GEGrammar</a>
</li>
<li>recycle
: <a class="el" href="class_a_g_derivation_tree.html#a17717edd750503ba3a1ffcf32daf0333">AGDerivationTree</a>
</li>
<li>startIndex
: <a class="el" href="class_a_g_context.html#ae2f5cc059dafd9d90146007c7ccb335c">AGContext</a>
</li>
<li>tree
: <a class="el" href="class_a_g_derivation_tree.html#a2146a0df4c4d64ea61e5760c058a0d4c">AGDerivationTree</a>
</li>
<li>useAG
: <a class="el" href="class_g_e_grammar.html#ac4484e523fde253ea6ac22a1d79846c5">GEGrammar</a>
</li>
<li>utility
: <a class="el" href="structindividual.html#a60bd31813b84f80c648e423de978ef8c">individual</a>
</li>
<li>xsite
: <a class="el" href="structindividual.html#a140cebb4455336c45e8ab5ed251fe009">individual</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
